using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace resequence_pgsql
{
    public class ArgHelper
    {
        public static ArgSimple GetArgs(string[] args)
        {
            ArgSimple a = new ArgSimple();
            foreach (string arg in args)
            {
                string[] pcs = arg.Split(':');
                switch (pcs[0])
                {
                    case "-ip": a.ip = pcs[1]; break;
                    case "-u": a.un = pcs[1]; break;
                    case "-pwd": a.pwd = pcs[1]; break;
                    case "-lip": a.lip = pcs[1]; break;
                    case "-p": a.port = Convert.ToInt32(pcs[1]); break;
                    case "-db": a.db = pcs[1]; break;
                }

            }

            return a;
        }

    }
    public class ArgSimple
    {
        public string ip { get; set; }
        public string un { get; set; }
        public string pwd { get; set; }
        public string lip { get; set; }
        public int port { get; set; }
        public string db { get; set; }
    }
}